//=============================================================================
//   This file is part of VTKEdge. See vtkedge.org for more information.
//
//   Copyright (c) 2010 Kitware, Inc.
//
//   VTKEdge may be used under the terms of the BSD License
//   Please see the file Copyright.txt in the root directory of
//   VTKEdge for further information.
//
//   Alternatively, you may see: 
//
//   http://www.vtkedge.org/vtkedge/project/license.html
//
//
//   For custom extensions, consulting services, or training for
//   this or any other Kitware supported open source project, please
//   contact Kitware at sales@kitware.com.
//
//
//=============================================================================

//-----------------------------------------------------------------------------
// The version information
//-----------------------------------------------------------------------------
#define VTKEdge_VERSION_MAJOR  0
#define VTKEdge_VERSION_MINOR  2
#define VTKEdge_VERSION_BUILD  0
#define VTKEdge_VERSION        0.2.0
#define VTKEdge_VERSION_STRING "0.2.0"

//-----------------------------------------------------------------------------
// Expose the source directory to allow for style testing
//-----------------------------------------------------------------------------
#define VTKEdge_SOURCE_DIR "/build/buildd/vtkedge-0.2.0~20110819"

//-----------------------------------------------------------------------------
// Config options
//-----------------------------------------------------------------------------
#define VTKEdge_BUILD_SHARED_LIBS
/* #undef VTKEdge_BUILD_EXAMPLES */
/* #undef VTKEdge_BUILD_PARAVIEW_PLUGINS */

#define VTKEdge_BUILD_Common_KIT
#define VTKEdge_BUILD_Filtering_KIT
/* #undef VTKEdge_BUILD_Graphics_KIT */
#define VTKEdge_BUILD_Hybrid_KIT
#define VTKEdge_BUILD_Imaging_KIT
#define VTKEdge_BUILD_IO_KIT
#define VTKEdge_BUILD_Rendering_KIT
#define VTKEdge_BUILD_VolumeRendering_KIT
#define VTKEdge_BUILD_Widgets_KIT

/* #undef VTKEdge_USE_CUDA */
/* #undef VTKEdge_USE_DIRECTX */
/* #undef VTKEdge_USE_CORE_GRAPHICS */
/* #undef VTKEdge_USE_NVCONTROL */

// The VTK_VERSION_DATE. The widgets have code so as to deal with changes
// in VTK both before and after the Depth peeling compatibility changes.
#define VTKEdge_VTK_VERSION_DATE 20110128

// Define VTKEdge_SHARED if the library was built shared.
// Why are we doing that??
#if 1
# define VTKEdge_SHARED
#endif

//-----------------------------------------------------------------------------
// export stuff
//-----------------------------------------------------------------------------
#if defined(WIN32) && defined(VTKEdge_SHARED)
 #define VTKEdge_EXPORT __declspec( dllexport )
#else
 #define VTKEdge_EXPORT
#endif

//-----------------------------------------------------------------------------
// export stuff for Common
//-----------------------------------------------------------------------------
// vtkKWECommon_EXPORTS is defined by cmake when building the shared
// library vtkKWECommon.

#if defined(WIN32) && defined(VTKEdge_SHARED)
 #if defined(vtkKWECommon_EXPORTS)
  #define VTKEdge_COMMON_EXPORT __declspec( dllexport )
 #else
  #define VTKEdge_COMMON_EXPORT __declspec( dllimport )
 #endif
#else
  #define VTKEdge_COMMON_EXPORT
#endif

//-----------------------------------------------------------------------------
// export stuff for Filtering
//-----------------------------------------------------------------------------
// vtkKWEFiltering_EXPORTS is defined by cmake when building the shared
// library vtkKWEFiltering.

#if defined(WIN32) && defined(VTKEdge_SHARED)
 #if defined(vtkKWEFiltering_EXPORTS)
  #define VTKEdge_FILTERING_EXPORT __declspec( dllexport )
 #else
  #define VTKEdge_FILTERING_EXPORT __declspec( dllimport )
 #endif
#else
  #define VTKEdge_FILTERING_EXPORT
#endif

//-----------------------------------------------------------------------------
// export stuff for Graphics
//-----------------------------------------------------------------------------
// vtkKWEGraphics_EXPORTS is defined by cmake when building the shared
// library vtkKWEGraphics.

#if defined(WIN32) && defined(VTKEdge_SHARED)
 #if defined(vtkKWEGraphics_EXPORTS)
  #define VTKEdge_GRAPHICS_EXPORT __declspec( dllexport )
 #else
  #define VTKEdge_GRAPHICS_EXPORT __declspec( dllimport )
 #endif
#else
  #define VTKEdge_GRAPHICS_EXPORT
#endif

//-----------------------------------------------------------------------------
// export stuff for Hybrid
//-----------------------------------------------------------------------------
// vtkKWEHybrid_EXPORTS is defined by cmake when building the shared
// library vtkKWEHybrid.

#if defined(WIN32) && defined(VTKEdge_SHARED)
 #if defined(vtkKWEHybrid_EXPORTS)
  #define VTKEdge_HYBRID_EXPORT __declspec( dllexport )
 #else
  #define VTKEdge_HYBRID_EXPORT __declspec( dllimport )
 #endif
#else
  #define VTKEdge_HYBRID_EXPORT
#endif

//-----------------------------------------------------------------------------
// export stuff for Imaging
//-----------------------------------------------------------------------------
// vtkKWEImaging_EXPORTS is defined by cmake when building the shared
// library vtkKWEImaging.

#if defined(WIN32) && defined(VTKEdge_SHARED)
 #if defined(vtkKWEImaging_EXPORTS)
  #define VTKEdge_IMAGING_EXPORT __declspec( dllexport )
 #else
  #define VTKEdge_IMAGING_EXPORT __declspec( dllimport )
 #endif
#else
  #define VTKEdge_IMAGING_EXPORT
#endif

//-----------------------------------------------------------------------------
// export stuff for IO
//-----------------------------------------------------------------------------
// vtkKWEIO_EXPORTS is defined by cmake when building the shared
// library vtkKWEIO.

#if defined(WIN32) && defined(VTKEdge_SHARED)
 #if defined(vtkKWEIO_EXPORTS)
  #define VTKEdge_IO_EXPORT __declspec( dllexport )
 #else
  #define VTKEdge_IO_EXPORT __declspec( dllimport )
 #endif
#else
  #define VTKEdge_IO_EXPORT
#endif

//-----------------------------------------------------------------------------
// export stuff for Rendering
//-----------------------------------------------------------------------------
// vtkKWERendering_EXPORTS is defined by cmake when building the shared
// library vtkKWERendering.

#if defined(WIN32) && defined(VTKEdge_SHARED)
 #if defined(vtkKWERendering_EXPORTS)
  #define VTKEdge_RENDERING_EXPORT __declspec( dllexport )
 #else
  #define VTKEdge_RENDERING_EXPORT __declspec( dllimport )
 #endif
#else
  #define VTKEdge_RENDERING_EXPORT
#endif

//-----------------------------------------------------------------------------
// export stuff for VolumeRendering
//-----------------------------------------------------------------------------
// vtkKWEVolumeRendering_EXPORTS is defined by cmake when building the shared
// library vtkKWEVolumeRendering.

#if defined(WIN32) && defined(VTKEdge_SHARED)
 #if defined(vtkKWEVolumeRendering_EXPORTS)
  #define VTKEdge_VOLUMERENDERING_EXPORT __declspec( dllexport )
 #else
  #define VTKEdge_VOLUMERENDERING_EXPORT __declspec( dllimport )
 #endif
#else
  #define VTKEdge_VOLUMERENDERING_EXPORT
#endif

//-----------------------------------------------------------------------------
// export stuff for Widgets
//-----------------------------------------------------------------------------
// vtkKWEWidgets_EXPORTS is defined by cmake when building the shared
// library vtkKWEWidgets.

#if defined(WIN32) && defined(VTKEdge_SHARED)
 #if defined(vtkKWEWidgets_EXPORTS)
  #define VTKEdge_WIDGETS_EXPORT __declspec( dllexport )
 #else
  #define VTKEdge_WIDGETS_EXPORT __declspec( dllimport )
 #endif
#else
  #define VTKEdge_WIDGETS_EXPORT
#endif
